Bug 445978 - fusesmb aborts on multithreading operations
fusesmb aborts on multithreading operations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fuse-smb (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcin Zajaczkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 17:57 EDT by Vasile Chelban
Modified: 2011-06-27 09:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fusesmb backtrace (5.49 KB, text/plain)
2008-05-10 17:57 EDT, Vasile Chelban
no flags Details

  None (edit)
Description Vasile Chelban 2008-05-10 17:57:29 EDT
Description of problem:
fuse-smb aborts on multithreading operations.

Version-Release number of selected component (if applicable):
fuse-smb-0.8.7-1.fc9.x86_64
fuse-2.7.3-2.fc9.x86_64
samba-3.2.0-1.pre3.9.fc9.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. run fusesmb in multithreading mode (w/o -s switch).
2. start copying/reading files from/to remote shares
3. start another copy process while process from step 2 is still running
  
Actual results:
File accessing application fails with message: Transport endpoint is not 
connected. fusesmb process is aborted

Additional info:
see backtrace attached.
fusesmb with -s switch (disable multi-threaded operation) works.
Comment 1 Vasile Chelban 2008-05-10 17:57:29 EDT
Created attachment 305041 [details]
Fusesmb backtrace
Comment 2 Bug Zapper 2008-05-14 06:58:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Marcin Zajaczkowski 2008-05-21 15:59:05 EDT
Thanks for your report and sorry for a delay.

Unfortunately nor me nor fusesmb's author wasn't able to reproduce that. I
tested on Fedora 8 (x86) with samba-3.0.28a-0.fc8, but only with share set up on
my local machine (currently I don't have access to any remote smb share). I sent
your backtrace to Vincent, maybe he will able to locate a problem using it.

Btw, do you have a multicore/multiprocessor system?
Comment 4 Vasile Chelban 2008-05-21 18:36:22 EDT
Yes, my system is F9 x86_64, with AMD Athlon X2 Dualcore processor. What kind 
of debuging information you will need?
Comment 5 Marcin Zajaczkowski 2008-05-22 09:24:00 EDT
Maybe it happens only on multicore systems (I have a "normal" Athlon XP+)? You
could disable your second core in BIOS o check it.

I'm waiting for info from Vincent (the author) who already have your backtrace.
Comment 6 Vasile Chelban 2008-05-22 09:41:02 EDT
I'll try to pass maxcpus=1 to kernel (I have no core number control options in 
BIOS setup) and write result here later.
 As far I remember, the bug is only present on F9 system, and not on F8 (i386, 
x86_64). Maybe it's somehow related to gcc upgrade in F9.
Comment 7 Marcin Zajaczkowski 2008-05-22 09:59:48 EDT
Vincent had been suspecting that it could be a problem with new Samba 3.0 pre
release, but it's also used in F8. It could be a problem with new gcc, the
exception seems to be raised outside fusesmb code, but I don't know internals of
fuse nor libsmb, so I only can guess :(.
Comment 8 Vasile Chelban 2008-05-22 16:20:58 EDT
disabled smp support for kernel and there was no difference - fusesmb still 
crashes.
Comment 9 Marcin Zajaczkowski 2008-05-28 14:02:47 EDT
I don't have good news. Vincent analyzed collected data and he things it's a
problem with new Samba 3.2 (libsmbclient) which seems to "get worse with respect
to thread-safety". Vincent has found the same problem reported on its IRC [1].
In version 3.2 there is available a new API (which will be used in the new
versions of fusesmb - it's a lot of work and it can take some time), but Vincent
is afraid that it won't help much.

[1] - http://samba.sernet.de/irclog/2008/01/20080124-Thu.log (honkytonk, start
with 01/24/08 19:01:54).

We weren't able to reproduce that behavior on Samba 3.0. As a workaround you
could try to link fusesmb with libsmbclient 3.0 statically. In case of problems
I can try to help you with that. Otherwise you could use already mentioned -s
switch (with all its cons :( ).

I'm not sure what to do with F-9 build of fusesmb. I can write a big warning in
package description area or make a bash script which will be run after "fusesmb"
command, write a warning and call real fusesmb with -s switch. What do you think
about that?
Comment 10 Vasile Chelban 2008-05-28 14:37:02 EDT
I'd recommend making multithreading mode off by default for F9 builds (until 
this issue will be fixed). Not sure about big warning on each start, maybe it 
would be enough to document this change in README.fedora and rpm Changelog.
Comment 11 Marcin Zajaczkowski 2008-07-03 17:07:54 EDT
As a workaround I modified a package to make multi-thereaded operations disable
by defaul in F9+.
There is a shell wrapper which calls real fusesmb binary with -s parameter.
It can be downloaded from:
http://timeoff.wsisiz.edu.pl/rpms/fuse-smb/fuse-smb-0.8.7-4.src.rpm

Could you give it a try, before I commit it to the CVS repository?

It can be rebuilt using "rpmbuild --rebuild fuse-smb-0.8.7-4.src.rpm". I can
make i386 RPM for Fedora 9 if needed (but not x86_64 one).
Comment 12 Vasile Chelban 2008-07-04 02:45:13 EDT
package has been built successfuly using mock (on F9 x86_64), and run as 
expected - gives warning and executes fusesmb-bin in singlethreaded mode.
Changes could be commited to cvs.
Comment 13 Fedora Update System 2008-07-04 15:04:59 EDT
fuse-smb-0.8.7-4.fc9 has been submitted as an update for Fedora 9
Comment 14 Marcin Zajaczkowski 2008-07-04 15:08:38 EDT
I have commited changes to devel branch. It should be also available in testing
repository for F9 soon.
Comment 15 Fedora Update System 2008-07-06 02:17:19 EDT
fuse-smb-0.8.7-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fuse-smb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6159
Comment 16 Fedora Update System 2008-07-23 03:09:17 EDT
fuse-smb-0.8.7-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Bug Zapper 2009-06-09 20:43:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Marcin Zajaczkowski 2009-06-21 07:51:34 EDT
Could you Vasile confirm it with newer Fedora release?
Comment 19 Vasile Chelban 2009-06-21 14:03:55 EDT
Yes. Bug is still present. Package versions:
samba-3.3.2-0.33.fc11.x86_64
fuse-2.7.4-3.fc11.x86_64
fuse-smb-0.8.7-5.fc11.x86_64
Comment 20 Bug Zapper 2010-04-27 08:02:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2011-06-02 14:31:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2011-06-27 09:58:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.